%define		status		stable
%define		pearname	PHP_CodeCoverage
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Library that provides collection, processing, and rendering functionality for PHP code coverage information
Name:		php-phpunit-PHP_CodeCoverage
Version:	1.2.7
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	1b6e0a3267122a58c9b7fd8a626b6cc0
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-channel(pear.phpunit.de)
Requires:	php-pear
Requires:	php-phpunit-File_Iterator >= 1.3.0
Requires:	php-phpunit-PHP_TokenStream >= 1.1.3
Requires:	php-phpunit-Text_Template >= 1.1.1
Suggests:	php-dom
Suggests:	php-ezc-ConsoleTools >= 1.6
Suggests:	php-pecl-xdebug
Suggests:	php-reflection
Suggests:	php-spl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library that provides collection, processing, and rendering
functionality for PHP code coverage information.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/PHP_CodeCoverage/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/PHP/CodeCoverage.php
%{php_pear_dir}/PHP/CodeCoverage
%changelog
* Sun Jan 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-phpunit-PHP_CodeCoverage.git;a=log;h=master

* Sun Jan 13 2013 Elan Ruusamäe <glen@delfi.ee> e5a555f
- up to 1.2.7

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> f30fd2e
- up to 1.2.6

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 217a17c
- updated to: 1.1.2

* Fri Nov 04 2011 Elan Ruusamäe <glen@pld-linux.org> 6ab9a05
- updated to: 1.1.1

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> c9ba6bd
- up to 1.1.0

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 09a0cf6
- updated to: 1.0.5

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 486484c
- fix url

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> f056c36
- updated to: 1.0.4

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 966837d
- xdebug is in pecl channel

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 4c44fb7
- initial from pear make-rpm-spec

